/* wmclreol.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_clr_eol (wm_handle wh, int x, int y)
{
  if (wh->used != WM_USED)
    return;
  _wm_clrline1 (wh, y+wh->ay, x+wh->ax, wh->width-1+wh->ax);
  if (wh->display)
    _wm_line1 (wh, y+wh->ay);
  else
    wh->update_req = TRUE;
  _wm_cursor1 ();
}
